org.apache.lucene.analysis.standard.std40

## Class StandardTokenizer40

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.standard.std40.StandardTokenizer40

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  Use `StandardTokenizer`

      @Deprecated
      public final class StandardTokenizer40
      extends Tokenizer

  Backcompat standard tokenizer for Lucene 4.0-4.6. This supports Unicode 6.1.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACRONYM` Deprecated. (3.1)
    `static int` | `ACRONYM_DEP` Deprecated. (3.1)
    `static int` | `ALPHANUM` Deprecated.
    `static int` | `APOSTROPHE` Deprecated. (3.1)
    `static int` | `CJ` Deprecated. (3.1)
    `static int` | `COMPANY` Deprecated. (3.1)
    `static int` | `EMAIL` Deprecated.
    `static int` | `HANGUL` Deprecated.
    `static int` | `HIRAGANA` Deprecated.
    `static int` | `HOST` Deprecated. (3.1)
    `static int` | `IDEOGRAPHIC` Deprecated.
    `static int` | `KATAKANA` Deprecated.
    `static int` | `NUM` Deprecated.
    `static int` | `SOUTHEAST_ASIAN` Deprecated.
    `static String[]` | `TOKEN_TYPES` Deprecated. String token types that correspond to token type int constants

    - ### Fields inherited from class org.apache.lucene.analysis.Tokenizer

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardTokenizer40()` Deprecated. Creates a new instance of the `StandardTokenizer40`.
    `StandardTokenizer40(AttributeFactory factory)` Deprecated. Creates a new StandardTokenizer40 with a given `AttributeFactory`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `void` | `end()` Deprecated.
    `int` | `getMaxTokenLength()` Deprecated.
    `boolean` | `incrementToken()` Deprecated.
    `void` | `reset()` Deprecated.
    `void` | `setMaxTokenLength(int length)` Deprecated. Set the max allowed token length.

    - ### Methods inherited from class org.apache.lucene.analysis.Tokenizer

      `correctOffset, setReader`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALPHANUM

          public static final int ALPHANUM

      Deprecated.
      See Also:
        Constant Field Values

    - #### APOSTROPHE

          @Deprecated
          public static final int APOSTROPHE

      Deprecated. (3.1)
      See Also:
        Constant Field Values

    - #### ACRONYM

          @Deprecated
          public static final int ACRONYM

      Deprecated. (3.1)
      See Also:
        Constant Field Values

    - #### COMPANY

          @Deprecated
          public static final int COMPANY

      Deprecated. (3.1)
      See Also:
        Constant Field Values

    - #### EMAIL

          public static final int EMAIL

      Deprecated.
      See Also:
        Constant Field Values

    - #### HOST

          @Deprecated
          public static final int HOST

      Deprecated. (3.1)
      See Also:
        Constant Field Values

    - #### NUM

          public static final int NUM

      Deprecated.
      See Also:
        Constant Field Values

    - #### CJ

          @Deprecated
          public static final int CJ

      Deprecated. (3.1)
      See Also:
        Constant Field Values

    - #### ACRONYM_DEP

          @Deprecated
          public static final int ACRONYM_DEP

      Deprecated. (3.1)
      See Also:
        Constant Field Values

    - #### SOUTHEAST_ASIAN

          public static final int SOUTHEAST_ASIAN

      Deprecated.
      See Also:
        Constant Field Values

    - #### IDEOGRAPHIC

          public static final int IDEOGRAPHIC

      Deprecated.
      See Also:
        Constant Field Values

    - #### HIRAGANA

          public static final int HIRAGANA

      Deprecated.
      See Also:
        Constant Field Values

    - #### KATAKANA

          public static final int KATAKANA

      Deprecated.
      See Also:
        Constant Field Values

    - #### HANGUL

          public static final int HANGUL

      Deprecated.
      See Also:
        Constant Field Values

    - #### TOKEN_TYPES

          public static final String[] TOKEN_TYPES

      Deprecated.
      String token types that correspond to token type int constants

  - ### Constructor Detail

    - #### StandardTokenizer40

          public StandardTokenizer40()

      Deprecated.
      Creates a new instance of the `StandardTokenizer40`. See http://issues.apache.org/jira/browse/LUCENE-1068

    - #### StandardTokenizer40

          public StandardTokenizer40(AttributeFactory factory)

      Deprecated.
      Creates a new StandardTokenizer40 with a given `AttributeFactory`

  - ### Method Detail

    - #### setMaxTokenLength

          public void setMaxTokenLength(int length)

      Deprecated.
      Set the max allowed token length. Any token longer than this is skipped.

    - #### getMaxTokenLength

          public int getMaxTokenLength()

      Deprecated.
      See Also:
        `setMaxTokenLength(int)`

    - #### incrementToken

          public final boolean incrementToken()
                                       throws IOException

      Deprecated.
      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### end

          public final void end()
                         throws IOException

      Deprecated.
      Overrides:
        `end` in class `TokenStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Deprecated.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `Tokenizer`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Deprecated.
      Overrides:
        `reset` in class `Tokenizer`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.